// Sparta-Mod CVAR's / Commands

public CVAR_Init()
{
	register_cvar ( "amx_sparta_mod", "On", FCVAR_SERVER ); // Fake CVAR for game-monitor
	
	// Sparta Mod On?
	sparta_mod_on = register_cvar ( "sp_modon", "1" );
	
	// MysqlX CVAR's
	db_serverip = register_cvar ( "sp_db_host", "127.0.0.1" );
	db_user = register_cvar ( "sp_db_user", "root" );
	db_pass = register_cvar ( "sp_db_pass", "" );
	db_name = register_cvar ( "sp_db_name", "spartamod" );
	
	// Saveby
	sp_saveby = register_cvar ( "sp_xp_saveby", "0" );
	
	// Nvault or Mysql
	sp_typesave = register_cvar( "sp_typesave", "0" );
	
	// Should we save the xps?
	sp_savexp = register_cvar ( "sp_savexp", "1" );
	
	// Admin Commands FLAGS & Admin Commands enable
	g_AdminFlag = register_cvar ( "sp_admin_flag", "m" );
	g_EnableAdminC = register_cvar ( "sp_adminon", "1" );
	
	// Admin Commmands
	register_concmd ( "sp_givexp", "ADMIN_GiveXP", -1, " - sp_givexp (steamid or name) xps" );
	register_concmd ( "sp_takexp", "ADMIN_TakeXP", -1, " - sp_takexp (steamid or name) xps" );
	
	// Client console
	register_clcmd ( "savexp", "SaveXPCommand", -1 );
	register_clcmd ( "level", "LevelCommand", -1 );
	register_clcmd ( "resetultimate", "ResetUltCommand", -1 );
	register_clcmd ( "resetskills", "ResetAllSkills", -1 );
	register_clcmd ( "spartamenu", "ShowSpartaMenu", -1 );
	register_clcmd ( "showplayers", "ShowPlayersConc", -1 );
	register_clcmd ( "showxptables", "ShowXPTablesConc", -1 );
	register_clcmd ( "resetxp", "ResetXPs", -1 );
	register_clcmd ( "selectskill", "SelectSkillConc", -1 );
	register_clcmd ( "selectultimate", "SelectUltimateConc", -1 );
	register_clcmd ( "utilmenu", "ShowUtilMenuOne", -1 );
	register_clcmd ( "utilmenu1", "ShowUtilMenuOne", -1 );
	
	// We have to handle all the 'says'
	register_clcmd ( "say", "eventSay", -1 );
	register_clcmd ( "say_team", "eventSay", -1 );
	
	// Ultimate command
	register_clcmd ( "ultimate", "UltimateHandler", -1 );
	
	// ------------------------------- CVAR's for XPs -------------------------------
	sp_planting = register_cvar ( "sp_plantingxp", "200" ); // XP for planting the bomb
	sp_kill = register_cvar ( "sp_killxp", "45" ); // XP for killing someone
	sp_defusing = register_cvar ( "sp_defusingxp", "200" ); // XP for defusing the bomb
	sp_spawnbomb = register_cvar ( "sp_spawnbombxp", "20" ); // XP for spawning with the bomb
	sp_dropbomb = register_cvar ( "sp_dropbombxp", "20" ); // XP lost for dropping the bomb
	sp_pickbomb = register_cvar ( "sp_pickbombxp", "20" ); // XP for picking up the bomb
	sp_follhost = register_cvar ( "sp_follhostagexp", "30" ); // XP for touching the hostage
	sp_rescuehost = register_cvar ( "sp_rescuehostagexp", "50" ); // XP for rescuing the hostage
	sp_killhost = register_cvar ( "sp_killhostagexp", "50" ); // XP lost for killing a hostage
	sp_gotvip = register_cvar ( "sp_gotvipxp", "100" ); // XP for spawning as a VIP
	sp_escvip = register_cvar ( "sp_rescuevipxp", "200" ); // XP for escaping as the VIP
	sp_rolekill = register_cvar ( "sp_rolekillxp", "50" ); // XP for killing important players
	sp_ctwin = register_cvar ( "sp_ctwinxp", "80" ); // XP for CTs if they winning the round
	sp_twin = register_cvar ( "sp_twinxp", "80" ); // XP for Ts if they winning the round
	sp_bombplanting = register_cvar ( "sp_bombplantingxp", "40" ); // XP for starting to plant the bomb
	sp_bombdefusing = register_cvar ( "sp_bombdefusingxp", "40" ); // XP for starting to defuse the bomb
		
	// ------------------------------- CVAR's for Ultimates ------------------------------- 
	sp_ultdelay = register_cvar ( "sp_ultdelay", "20" ); // 20 Seconds ultimate delay
	
	// Beginner's luck
	sp_beginnersluck = register_cvar ( "sp_beginnersluck", "1" ); // Enable (1) or Disable (0) beginner's luck abilitie
	sp_beginnersdmg = register_cvar ( "sp_beginnersdmg", "20" ); //  max evade dmg
	sp_beginnerslevel = register_cvar ( "sp_beginnerslevel", "20" ); // Player's which are on this level or under get beginner's luck dmg
	
	// Sound's
	sp_soundon = register_cvar ( "sp_soundon", "1" ); // Enable (1) or Disable (0) Sparta sounds
	
	// Bot's
	sp_botallow = register_cvar ( "sp_botallow", "0" );
	sp_botlevel = register_cvar ( "sp_botlevel", "1" );
	
	// Min players to retrieve and lost xps
	sp_minplayers = register_cvar ( "sp_minplayers", "4" );
	
	// csdm cvar
	sp_csdm_active = get_cvar_pointer( "csdm_active" );
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1031\\ f0\\ fs16 \n\\ par }
*/
